<?xml version="1.0" encoding="UTF-8"?>
<!-- ======================================================================= -->
<!-- Configuration for JPA provider.                                         -->
<!--                                                                         -->
<!-- Lists all persistent domain classes.                                    -->
<!-- Uses a pre-configured JTA data source                                   --> 
<!-- ======================================================================= -->
<persistence xmlns="http://java.sun.com/xml/ns/persistence" version="2.0">
  <persistence-unit name="Order">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source>
    <mapping-file>META-INF/orm_1.xml</mapping-file>  
    <class>org.spec.jent.common.Address</class>
    <class>org.spec.jent.ejb.orders.entity.Customer</class>
    <class>org.spec.jent.ejb.orders.entity.CustomerInventory</class>
    <class>org.spec.jent.ejb.orders.entity.Item</class>
    <class>org.spec.jent.ejb.orders.entity.Order</class>
    <class>org.spec.jent.ejb.orders.entity.OrderLine</class>
    <class>org.spec.jent.ejb.orders.entity.OrderLinePK</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <validation-mode>NONE</validation-mode>
    <properties>       
       <property name="openjpa.ObjectCache" value="true(Validate=false,MaxSize=Auto,EvictionSchedule='+20',Types=org.spec.jent.ejb.orders.entity.Item,NamedQueries='Item.findByCategory')" /> 
       <property name="openjpa.Compatibility" value="CheckDatabaseForCascadePersistToDetachedEntity=false" />  
       <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true,DetachProxyFields=false)"/>
       <property name="openjpa.MetaDataRepository" value="Preload=true"/>         
       <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true,checkCacheForLazyFields=true"/>
       <property name="openjpa.jdbc.DBDictionary" value="db2(AppendExtendedExceptionText=false,TrimStringColumns=true,SupportsDelimitedIdentifiers=false)"/>
       <property name="openjpa.ConnectionRetainMode" value="always"/>
       <property name="wsjpa.FastPath" value="true"/>
       <property name="openjpa.RestoreState" value="false"/>
       <property name="openjpa.OptimizeIdCopy" value="true"/>
       <property name="openjpa.ProxyManager" value="delayCollectionLoading=true"/>
       <property name="wsjpa.jdbc.UpdateManager" value="com.ibm.ws.persistence.jdbc.kernel.HeteroConstraintUpdateManager" />
    </properties>      
  </persistence-unit>
  <persistence-unit name="Mfg">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source>  
    <mapping-file>META-INF/orm_2.xml</mapping-file>  
    <class>org.spec.jent.ejb.mfg.entity.Assembly</class>
    <class>org.spec.jent.ejb.mfg.entity.Bom</class>
    <class>org.spec.jent.ejb.mfg.entity.BomPK</class>
    <class>org.spec.jent.ejb.mfg.entity.Component</class>
    <class>org.spec.jent.ejb.mfg.entity.Inventory</class>
    <class>org.spec.jent.ejb.mfg.entity.InventoryPK</class>
    <class>org.spec.jent.ejb.mfg.entity.WorkOrder</class>
    <class>org.spec.jent.ejb.supplier.entity.RunConfig</class>  
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <validation-mode>NONE</validation-mode>
    <properties>	   
       <property name="openjpa.Compatibility" value="CheckDatabaseForCascadePersistToDetachedEntity=false"/>
       <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
       <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true,checkCacheForLazyFields=true"/> 
       <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true,DetachProxyFields=false)"/>       
       <property name="openjpa.jdbc.DBDictionary" value="db2(AppendExtendedExceptionText=false,TrimStringColumns=true,SupportsDelimitedIdentifiers=false)"/>
       <property name="openjpa.ConnectionRetainMode" value="always"/>
       <property name="wsjpa.FastPath" value="true"/>
       <property name="openjpa.RestoreState" value="false"/>
       <property name="openjpa.OptimizeIdCopy" value="true"/>
       <property name="wsjpa.jdbc.UpdateManager" value="com.ibm.ws.persistence.jdbc.kernel.HeteroConstraintUpdateManager" />
    </properties>
  </persistence-unit>  
  <persistence-unit name="Supplier">
    <jta-data-source>jdbc/SPECjNoXADS</jta-data-source> 
    <mapping-file>META-INF/orm_3.xml</mapping-file>  
    <class>org.spec.jent.common.Address</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrder</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrderLine</class>
    <class>org.spec.jent.ejb.supplier.entity.PurchaseOrderLinePK</class>
    <class>org.spec.jent.ejb.supplier.entity.SComponent</class>
    <class>org.spec.jent.ejb.supplier.entity.Supplier</class>
    <class>org.spec.jent.ejb.supplier.entity.SupplierComponent</class>
    <class>org.spec.jent.ejb.supplier.entity.SupplierComponentPK</class>
    <class>org.spec.jent.ejb.supplier.entity.RunConfig</class>
    <class>org.spec.jent.ejb.supplier.entity.SComponentPK</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <validation-mode>NONE</validation-mode>
    <properties>        
        <property name="openjpa.Compatibility" value="CheckDatabaseForCascadePersistToDetachedEntity=false"/>
        <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
        <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true,checkCacheForLazyFields=true"/> 
        <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true,DetachProxyFields=false)"/>        
        <property name="openjpa.jdbc.DBDictionary" value="db2(AppendExtendedExceptionText=false,TrimStringColumns=true,SupportsDelimitedIdentifiers=false)"/>
        <property name="openjpa.ConnectionRetainMode" value="always"/>
       <property name="wsjpa.FastPath" value="true"/>
       <property name="openjpa.RestoreState" value="false"/>
       <property name="openjpa.OptimizeIdCopy" value="true"/>
       <property name="wsjpa.jdbc.UpdateManager" value="com.ibm.ws.persistence.jdbc.kernel.HeteroConstraintUpdateManager" />
    </properties>  
  </persistence-unit>
  <persistence-unit name="Loader">
    <jta-data-source>jdbc/SPECjLoaderDS</jta-data-source>
    <class>org.spec.jent.loader.entity.Loader</class>
    <class>org.spec.jent.loader.entity.Message</class>
    <class>org.spec.jent.loader.entity.Section</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <validation-mode>NONE</validation-mode>
   <properties>
        <property name="openjpa.Compatibility" value="CheckDatabaseForCascadePersistToDetachedEntity=false" />
        <property name="openjpa.MetaDataRepository" value="Preload=true"/>  
        <property name="openjpa.BrokerImpl" value="SuppressBatchOLELogging=true,checkCacheForLazyFields=true"/> 
        <property name="openjpa.DetachState" value="loaded(DetachedStateField=false,LiteAutoDetach=true,DetachProxyFields=false)"/>        
        <property name="openjpa.jdbc.DBDictionary" value="db2(AppendExtendedExceptionText=false,TrimStringColumns=true,SupportsDelimitedIdentifiers=false)"/>
        <property name="openjpa.ConnectionRetainMode" value="always"/>
        <property name="wsjpa.FastPath" value="true"/>
       <property name="openjpa.RestoreState" value="false"/>
    </properties>   
  </persistence-unit>
</persistence>
